Mail archive
alpine-aports

[alpine-aports] [PATCH] New aport: confd

From: tang0th <tang0th_at_gmx.com>
Date: Sat, 5 Mar 2016 23:07:05 +0000

---
 testing/confd/APKBUILD | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)
 create mode 100644 testing/confd/APKBUILD
diff --git a/testing/confd/APKBUILD b/testing/confd/APKBUILD
new file mode 100644
index 0000000..18ab6de
--- /dev/null
+++ b/testing/confd/APKBUILD
_at_@ -0,0 +1,42 @@
+# Contributor: tang0th <tang0th_at_gmx.com>
+# Maintainer:
+pkgname=confd
+pkgver=0.11.0_git20160305
+_pkgcommit=d4231233d713c363f9ca7bb60dcd2c2b55d1d31b
+pkgrel=0
+pkgdesc="Manage local application configuration files using templates and data from etcd or consul"
+url="http://confd.io"
+arch="all"
+license="BSD"
+depends="musl"
+depends_dev=""
+makedepends="$depends_dev go"
+install=""
+subpackages=""
+source="$pkgname-$pkgver.tar.gz::https://github.com/kelseyhightower/$pkgname/archive/$_pkgcommit.tar.gz"
+
+_builddir="$srcdir/$pkgname-$_pkgcommit"
+prepare() {
+  cd "$_builddir"
+}
+
+build() {
+  cd "$srcdir"
+  export GOPATH="$PWD"
+  export GO15VENDOREXPERIMENT=1
+
+  mkdir -p src/github.com/kelseyhightower/
+  cp -r "$_builddir" src/github.com/kelseyhightower/confd
+		
+  go install github.com/kelseyhightower/confd
+}
+
+package() {
+  cd "$srcdir"
+
+  install -Dm755 bin/confd $pkgdir/usr/bin/confd || return 1	
+}
+
+md5sums="cd983707d8c27fed52d0f37c787784f1  confd-0.11.0_git20160305.tar.gz"
+sha256sums="8474baf1ae52d39273332096c67b016c7022f2ea2edc0d6b6a9406fcd109ab2e  confd-0.11.0_git20160305.tar.gz"
+sha512sums="7aab758d9ad756a7a325eee405f5875e6628b333e8d9ac6521811747e763d3ad22b536a8160338ad0f4570ab934114eb5e0632d002fcf6b71605c87e3b749ea9  confd-0.11.0_git20160305.tar.gz"
-- 
2.6.4
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Mar 05 2016 - 23:07:05 GMT